MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026799Community[OCCT] OCCT:Documentationpublic2015-10-22 10:382016-04-20 15:51
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026799: NCollection_Array2's RowLength and ColLength return wrong value.
DescriptionPlease see the implementation of these two methods RowLength and ColLength:
The RowLength() returns the column length value while ColLength() returns the row length value.

Please swap these two method implementation codes to fix the isue.

  //! RowLength
  Standard_Integer RowLength (void) const
  { return (myUpperCol-myLowerCol+1); }
  //! ColLength
  Standard_Integer ColLength (void) const
  { return (myUpperRow-myLowerRow+1); }
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0047409)
abv (manager)
2015-10-23 22:29

Hello Vico,

I guess you may be confused by names of these methods: "RowLength" means length of the row (nb. of columns), and not nb. of rows, as you probably expect. Consider array of 2 rows, 3 columns:

Array1 (1, 2, 1, 3);

11 12 13
21 22 23

Here RowLength() should return 3, and ColLength() should be 2.
(0047411)
git (administrator)
2015-10-24 08:01

Branch CR26799 has been created by abv.

SHA-1: 7a27a25ebd8846694f56a6e6e624e87c453851ba


Detailed log of new commits:

Author: abv
Date: Sat Oct 24 08:00:58 2015 +0300

    0026799: NCollection_Array2's RowLength and ColLength return wrong value.
    
    Comments to methods RowLength() and ColLength() improved to avoid possible misinterpretation
(0047412)
abv (manager)
2015-10-24 08:02

I have improved comments to these methods to avoid such kind of confusion, please review
(0047418)
Vico Liang (developer)
2015-10-24 15:22

Dear abv,

Right that i'm confused. The improved comments is clear for these two methods. Thanks for the improvement.
(0047420)
abv (manager)
2015-10-24 16:54

Please integrate, no testing is needed
(0053203)
git (administrator)
2016-04-17 14:35

Branch CR26799 has been deleted by kgv.

SHA-1: 7a27a25ebd8846694f56a6e6e624e87c453851ba

- Related Changesets
occt: master 9535c4be
Timestamp: 2015-10-24 05:00:58
Author: abv
Committer: bugmaster
Details ] Diff ]
0026799: NCollection_Array2's RowLength and ColLength return wrong value.

Comments to methods RowLength() and ColLength() improved to avoid possible misinterpretation
mod - src/NCollection/NCollection_Array2.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-22 10:38 Vico Liang New Issue
2015-10-22 10:38 Vico Liang Assigned To => abv
2015-10-23 22:14 abv Relationship added related to 0015125
2015-10-23 22:29 abv Note Added: 0047409
2015-10-24 08:01 git Note Added: 0047411
2015-10-24 08:02 abv Note Added: 0047412
2015-10-24 08:02 abv Assigned To abv => Vico Liang
2015-10-24 08:02 abv Status new => resolved
2015-10-24 08:02 abv Steps to Reproduce Updated View Revisions
2015-10-24 15:22 Vico Liang Note Added: 0047418
2015-10-24 15:26 Vico Liang Assigned To Vico Liang => abv
2015-10-24 16:54 abv Note Added: 0047420
2015-10-24 16:54 abv Assigned To abv => bugmaster
2015-10-24 16:54 abv Status resolved => reviewed
2015-10-24 18:26 abv Category OCCT:Foundation Classes => OCCT:Documentation
2015-10-26 12:12 apv Test case number => Not needed
2015-10-26 12:12 apv Status reviewed => tested
2015-10-30 16:00 bugmaster Changeset attached => occt master 9535c4be
2015-10-30 16:00 bugmaster Status tested => verified
2015-10-30 16:00 bugmaster Resolution open => fixed
2016-04-17 14:35 git Note Added: 0053203
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:51 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker